Bug 191094 - fs/proc/task_mmu.c show_map() can OOPS
Summary: fs/proc/task_mmu.c show_map() can OOPS
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-08 20:02 UTC by Jeff Johnson
Modified: 2015-01-04 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 22:07:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.9-show_map.patch (830 bytes, patch)
2006-05-09 01:25 UTC, Jeff Johnson
no flags Details | Diff
linux-2.6.16-show_map.patch (untested) (987 bytes, patch)
2006-05-09 13:52 UTC, Jeff Johnson
no flags Details | Diff

Description Jeff Johnson 2006-05-08 20:02:53 UTC
(OOPS was seen on 2.6.9 kernel, same problem appears to exist on FC 2.6.16)

Intensive monitoint through /proc can/will OOPS under load.

The stack trace indicates that task->mm goes NULL in fs/proc/task_mmu.c show_map().

The attached patch (generated from CentOS 4.3 2.6.9 kernel sources, but
the same problem appears to be in FC devel kernels from inspection) takes
a refcount on task->mm using get_task_mm() and mmput().

Entirely untested patch, but the OOPS is real.

Comment 1 Jeff Johnson 2006-05-09 01:25:49 UTC
Created attachment 128768 [details]
linux-2.6.9-show_map.patch

Comment 2 Jeff Johnson 2006-05-09 13:52:40 UTC
Created attachment 128784 [details]
linux-2.6.16-show_map.patch (untested)

Comment 3 Jeff Johnson 2006-05-12 11:05:11 UTC
The original OOPS took about an hour to reproduce, intensively reading /proc.

With the linux-2.6.9-show_mappatch, two runs on CentOS kernel have completed more than 8 hours 
without problem.

Comment 4 Jeff Johnson 2006-05-12 13:48:56 UTC
24 hour run with the patch => no problem

Using the same load, reverting to otherwise identical CentOS 2.6.9 kernel without the patch, the panic is 
reproducible in minutes.

Comment 5 Dave Jones 2006-09-17 05:09:55 UTC
Fixed in CVS, will be in the next build.



Note You need to log in before you can comment on or make changes to this bug.